看看什么问题
Sub Ch9_SwitchToPaperSpace()<BR> ' Set the active space to paper space<BR> ThisDrawing.ActiveSpace = acPaperSpace<BR> <BR> ' Create the paperspace viewport<BR> Dim newVport As AcadPViewport<BR> Dim center(0 To 2) As Double<BR> center(0) = 3.25<BR> center(1) = 3<BR> center(2) = 0<BR> Set newVport = ThisDrawing.PaperSpace. _<BR> AddPViewport(center, 6, 5)<BR> <BR> ' Change the view direction for the viewport<BR> Dim viewDir(0 To 2) As DoubleviewDir(0) = 1<BR> viewDir(1) = 1<BR> viewDir(2) = 1<BR> newVport.direction = viewDir<BR> <BR> ' Enable the viewport<BR> newVport.Display True<BR> <BR> ' Switch to model space<BR> ThisDrawing.MSpace = True<BR> <BR> ' Set newVport current<BR> ' (not always necessary but a good idea)<BR> <FONT color=#ee1169>ThisDrawing.ActivePViewport = newVport</FONT><BR> <BR> ' Zoom Extents in model space<BR> ZoomExtents<BR> <BR> ' Turn model space editing off
ThisDrawing.MSpace = False<BR> <BR> ' ZoomExtents in paperspace<BR> ZoomExtents
End Sub
是什么问题啊 你的程序有什么问题呀?
页:
[1]